WALL(1)

NOM
wall - Envoyer un message à tous les utilisateurs

SYNOPSIS
wall [-n] [-t délai] [message | fichier]

DESCRIPTION
wall affiche un message, le contenu d’un fichier ou sinon son entrée standard, sur les terminaux de tous les utilisateurs actuellement connectés. La commande repliera les lignes excédant 79 caractères. Les lignes courtes sont complétées par des espaces pour faire 79 caractères. La commande ajoutera toujours un retour chariot et un changement de ligne à la fin de chaque ligne.

Seul le superutilisateur peut écrire sur les terminaux des utilisateurs qui ont choisi de refuser les messages ou qui utilisent un programme qui interdit automatiquement les messages.

La lecture depuis un fichier est interdite quand l'appelant n'est pas superutilisateur et que le programme est Set-UID ou Set-GID.

OPTIONS

-n, --nobanner
    Supprimer la bannière.

-t, --timeout délai
    Abandonner la tentative d’écriture sur les terminaux après délai secondes. Ce délai doit être un entier positif. La valeur par défaut est de 300 secondes, qui est un héritage de l'époque où les gens se connectaient aux terminaux à l'aide de modems.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

NOTES
Certaines sessions, comme wdm, qui ont un caractère « : » au début des données ut_type d’utmp(5) n’obtiendront pas le message de wall. Cela est fait pour éviter les erreurs d’écriture.

VOIR AUSSI
mesg(1), talk(1), write(1), shutdown(8)

HISTORIQUE
Une commande wall est apparue dans la version 7 d’UNIX AT&T.

DISPONIBILITÉ
La commande wall fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Christophe Blaess en 1997. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.